const BaseScrapper = use('GBoxScrappers/Base')
const Database = use('Database')

class Activity extends BaseScrapper {
    constructor(...params) {
        super(...params)
        this.tableName = 'lead_activity'
        this.mediaTableName = 'lead_activity_media'
        this.participantsTableName = ''
        this.columnName = 'activity'
        this.route = `/v1/lead/checkUserPermissions?activity=${this.id}`
        this.nameField = 'subject'
        this.api = 'lead-api'
    }
    
    async getEntityClassName() {
        return 'activity'
    }
    
    async getEntityName() {
        const entity = await this.getEntity()
        return (entity && entity.subject) || (entity && entity.subtype) || (entity && entity.type) || ''
    }
    
    async getUsersOnEntity() {
        const entity = await this.getEntity()
        if(!entity) return []
        const [leadPerson] = entity.insurancePerson && await Database.table('lead_person').where('id', entity.leadPerson)
        const [contact, owner] = await Promise.all([
            leadPerson && leadPerson.convertedTo && await Database.table('usr_users').where('id', leadPerson.convertedTo),
            entity.owner && Database.table('usr_users').where('id', entity.owner),
        ])
        return [contact && contact[0], owner && owner[0]].filter(tr => tr)
    }
    
}

module.exports= Activity
