const BaseScrapper = use('GBoxScrappers/Base')
const Database = use('Database')

class LeadActivity extends BaseScrapper {
    constructor(...params) {
        super(...params)
        this.tableName = 'medicalLead_opportunity_activity'
        this.mediaTableName = 'medicalLead_opportunity_activity_media'
        this.participantsTableName = ''
        this.columnName = 'activity'
        this.route = `/v1/medicalLead/checkUserPermissions?activity=${this.id}`
        this.nameField = 'subject'
        this.api = 'medicalLead-api'
    }
    
    async getEntityName() {
        const entity = await this.getEntity()
        return (entity && entity.subject) || (entity && entity.subtype) || (entity && entity.type) || ''
    }
    
    async getEntityClassName() {
        return 'activity'
    }
    
    async getUsersOnEntity() {
        const entity = await this.getEntity()
        if(!entity) return []
        const opportunity = entity.opportunity && await Database.table('medicalLead_opportunity').where('id', entity.opportunity)
        const [contact, owner] = await Promise.all([
            opportunity.contact && await Database.table('usr_users').where('id', opportunity.contact),
            entity.owner && Database.table('usr_users').where('id', entity.owner),
        ])
        return [contact && contact[0], owner && owner[0]].filter(tr => tr)
    }
}

module.exports= LeadActivity
