'use strict'
const { ServiceProvider } = use('@adonisjs/fold')

class AdonisBullProvider extends ServiceProvider {
    register () {
        this.app.bind('GBoxScrappers/Base', () => {
            return require('./Scrappers/BaseScrapper')
        })
        this.app.bind('GBoxScrappers/ELearningClass', () => {
            return require('./Scrappers/ELearning/Class')
        })
        this.app.bind('GBoxScrappers/ELearningDiscussion', () => {
            return require('./Scrappers/ELearning/Discussion')
        })
        this.app.bind('GBoxScrappers/ProjectsDiscussion', () => {
            return require('./Scrappers/Projects/Discussion')
        })
        this.app.bind('GBoxScrappers/ProjectsTask', () => {
            return require('./Scrappers/Projects/Task')
        })
        this.app.bind('GBoxScrappers/LeadActivity', () => {
            return require('./Scrappers/Lead/Activity')
        })
        this.app.bind('GBoxScrappers/LeadOpportunityActivity', () => {
            return require('./Scrappers/Lead/OpportunityActivity')
        })
        this.app.bind('GBoxScrappers/MedicalLeadActivity', () => {
            return require('./Scrappers/MedicalLead/Activity')
        })
        this.app.bind('GBoxScrappers/MedicalLeadOpportunityActivity', () => {
            return require('./Scrappers/MedicalLead/OpportunityActivity')
        })
        this.app.bind('GBoxScrappers/MedicalLeadPerson', () => {
            return require('./Scrappers/MedicalLead/Person')
        })
        this.app.bind('GBoxScrappers/UserUser', () => {
            return require('./Scrappers/User/User')
        })
        this.app.bind('GBoxScrappers/ResolveScrapper', () => {
            return require('./Scrappers/ResolveScrapper')
        })
    }
    
    async boot () {
    }
}

module.exports = AdonisBullProvider
